Skip to navigation

Update test invocation

Updates the user-provided name of a test invocation.

Path parameters

test_invocation_idstringRequired
The id of a test invocation. This is returned when tests are run.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
namestringOptional1-256 characters
New name for the test invocation. Set to null to restore the generated title.

Response

Successful Response
idstring
test_runslist of objects
namestringOptional

The user-provided name of the test invocation, if one was set.

agent_idstringOptional
branch_idstringOptional
version_idstringOptional
ran_against_draftbooleanOptionalDefaults to false
created_atintegerOptional
folder_idstringOptional
repeat_countintegerOptionalDefaults to 1
cancelledbooleanOptionalDefaults to false
bucketing_statusenumOptional

None when repeat_count==1 (no bucketing). Otherwise tracks bucketing lifecycle.

Allowed values:
result_groupslist of objectsOptional

Errors

422
Invocations Update Request Unprocessable Entity Error